<!DOCTYPE html>
<html>
<head>

	<!-- Mobile Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap Link -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">


	<title>Bootstrap Introduction and Simple Styles</title>
</head>
<body class="text-center bg-secondary">

	<div class="fixed-top bg-primary text-light p-1">
		Fixed Top-Navbar
	</div>
	
	<div class="text-center mt-5">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>

	</div>

<!-- 
	Mini Activity
	>> Add a table data to the other table row that contains the background color
	>> Make sure it connects with the text color
 -->


	<div class="container mt-5 mb-5">
		<h2>Bootstrap Color Classes</h2>
		<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Text</th>
				<th>Background</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<a href="#" class="text-primary">
						Primary Link
					</a>
				</td>
				<td class="bg-primary text-white">
					Primary
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-secondary">
						Secondary Link
					</a>
				</td>
				<td class="bg-secondary text-white">
					Secondary
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-danger">
						Danger Link
					</a>
				</td>
				<td class="bg-danger text-white">
					Danger
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-success">
						Success Link
					</a>
				</td>
				<td class="bg-success text-white">
					Success
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-warning">
						Warning Link
					</a>
				</td>
				<td class="bg-warning text-white">
					Warning
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-info">
						Info Link
					</a>
				</td>
				<td class="bg-info text-white">
					Info
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-light">
						Light Link
					</a>
				</td>
				<td class="bg-light text-dark">
					Light
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-dark">
						Dark Link
					</a>
				</td>
				<td class="bg-dark text-white">
					Dark
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-muted">
						Muted Link
					</a>
					<td class="bg-transparent text-dark">
						Transparent
					</td>
				</td>
			</tr>

			<tr>
				<td>
					<a href="#" class="text-white">
						White Link
					</a>
				</td>
				<td class="bg-white text-dark">
					White
				</td>
			</tr>
		</tbody>
		</table>

		<h2>Bootstrap Text Classes</h2>
		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-start">Left</td>
				</tr>

				<tr>
					<td class="text-center">Center</td>
				</tr>

				<tr>
					<td class="text-end">Right</td>
				</tr>

				<tr>
					<!-- small screen size >= 576px -->
					<td class="text-sm-center">Small Center</td>
				</tr>

				<tr>
					<!-- medium screen size >= 786px -->
					<td class="text-end text-md-start">Others Right/ Medium Left</td>
				</tr>

				<tr>
					<!-- large screen size >= 992px -->
					<td class="text-lg-end">Large Right</td>
				</tr>

				<tr>
					<!-- extra large screen size >= 1200px -->
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>
		</table>

		<table class="table table-dark text-light table-bordered">
			<!-- fw: font-weight
				fst: font-style
			 -->
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-lowercase fw-bold">
						LOWERCASED BOLD TEXT
					</td>
				</tr>

				<tr>
					<td class="text-uppercase fw-normal">
						uppercased normal text
					</td>
				</tr>

				<tr>
					<td class="text-capitalize fw-light">
						capitalized light text
					</td>
				</tr>

				<tr>
					<td>
						<a href="#" class="text-decoration-none fst-italic">
						Non-underlined Link
						</a>
					</td>
				</tr>
			</tbody>
			
		</table>

		<h2>Bootstrap Border and Sizing Classes</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<div class="bg-info border border-primary rounded w-100">
							Rounded
						</div>
					</td>
				</tr>

				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-100">
							Rounded Circle
						</div>
					</td>
				</tr>

				<tr>
					<td>
						<div class="bg-warning border border-danger rounded-pill w-100">
							Rounded Pill
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>

	<div class="bg-primary text-light fixed-bottom p-1">
		Fixed Bottom-Footer
	</div>



	<!-- Bootstrap Script -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>
